Public Class Form1
    Private Sub Form1_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        Dim g As Graphics = e.Graphics
        '椭圆透明度80% 
        g.FillEllipse(New SolidBrush(Color.FromArgb(80, Color.Red)), 120, 30, 200, 100)
        g.RotateTransform(30.0F)        '顺时针旋转30度 
        g.FillEllipse(New SolidBrush(Color.FromArgb(80, Color.Blue)), 120, 30, 200, 100)
        '水平方向向右平移200个像素，垂直方向向上平移100个像素 
        g.TranslateTransform(200.0F, -100.0F)
        g.FillEllipse(New SolidBrush(Color.FromArgb(50, Color.Green)), 120, 30, 200, 100)
        g.ScaleTransform(0.5F, 0.5F)    '缩小到一半 
        g.FillEllipse(New SolidBrush(Color.FromArgb(100, Color.Red)), 120, 30, 200, 100)
    End Sub

End Class
